> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.data.aviato.co/api-reference/person/pull-contact-info/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.data.aviato.co/_mcp/server. # Pull Contact Info GET https://data.api.aviato.co/person/contact-info Pull a person's contact info Reference: https://docs.data.aviato.co/api-reference/person/pull-contact-info ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `type` (enum, optional) — Email type to filter to, if not supplied all types of email will be returned - Allowed values: `personal`, `work`, `student` - `id` (string, optional) - `linkedinID` (string, optional) - `linkedinEntityId` (string, optional) — LinkedIn entity ID - `linkedinURL` (string, optional) — LinkedIn URL, accepts public profile (linkedin.com/in/), Sales Navigator, and Recruiter URLs - `twitterID` (string, optional) - `crunchbaseID` (string, optional) - `angelListID` (string, optional) - `signalNfxID` (string, optional) - `polyworkID` (string, optional) - `email` (string, optional) ## Response ### 200 - `emails` (list of PersonEmail, required) ## Errors ### 404 Person Not Found Error ### 401 Unauthorized Error ### 429 Rate Limit Error ### 400 Bad Request Error - `message` (string, required) ## Types ### PersonEmail This object represents an email address of a person. - `email` (enum, required) — The email address of the person. - Allowed values: `personal`, `work`, `student` - `type` (string, optional) — The type of email address (work, personal, student) - `companyID` (string, optional) — The Aviato ID of the company this email is associated with. (Only present for work emails) ## Examples **Response** ```json { "emails": [ { "email": "personal", "type": "type", "companyID": "companyID" }, { "email": "personal", "type": "type", "companyID": "companyID" } ] } ``` **SDK Code** ```python import requests url = "https://data.api.aviato.co/person/contact-info" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://data.api.aviato.co/person/contact-info'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://data.api.aviato.co/person/contact-info" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://data.api.aviato.co/person/contact-info") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://data.api.aviato.co/person/contact-info") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://data.api.aviato.co/person/contact-info', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://data.api.aviato.co/person/contact-info"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://data.api.aviato.co/person/contact-info")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```